#include "asrwrapper.h"
#include "modelwrapper/ifly/asriflymodel.h"
#include <QString>
#include <QUuid>

UOSAI_USE_NAMESPACE

AsrWrapper::AsrWrapper(QObject *parent)
{
    m_currentID = QUuid::createUuid().toString();

    if (1) {
        //后期增加判断模型的接口
        m_asrModel = new AsrIflyModel(m_currentID, this);
        m_asrModel->setModel(AsrModel::ModelType::Ifly);
    }
    connect(m_asrModel,&AsrModel::onNotify,this,&AsrWrapper::onNotify,Qt::DirectConnection);
}
AsrWrapper::~AsrWrapper()
{

}

QString AsrWrapper::startAsr(const QVariantMap &param)
{
    return m_asrModel->startAsr(param);
}
void AsrWrapper::stopAsr()
{
    return m_asrModel->stopAsr();
}

